export default Box;
declare class Box extends Mesh {
    geometry: BoxGeometry;
    material: MeshStandardMaterial;
    applyQuaternion(quaternion: import("three").Quaternion): Box;
    rotateOnAxis(axis: import("three").Vector3, angle: number): Box;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): Box;
    rotateX(angle: number): Box;
    rotateY(angle: number): Box;
    rotateZ(angle: number): Box;
    translateOnAxis(axis: import("three").Vector3, distance: number): Box;
    translateX(distance: number): Box;
    translateY(distance: number): Box;
    translateZ(distance: number): Box;
    add(...object: import("three").Object3D[]): Box;
    remove(...object: import("three").Object3D[]): Box;
    attach(object: import("three").Object3D): Box;
    clone(recursive?: boolean | undefined): Box;
    copy(source: Box, recursive?: boolean | undefined): Box;
}
import Mesh from "./Mesh";
import { BoxGeometry } from "three/src/geometries/BoxGeometry";
import { MeshStandardMaterial } from "three/src/materials/MeshStandardMaterial";
